## org.eclipse.datatools.connectivity.ui.navigator
Class ConnectionProfileContentProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.ui.navigator.ConnectionProfileContentProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider, org.eclipse.ui.navigator.ICommonContentProvider, org.eclipse.ui.navigator.IMementoAware

    public class ConnectionProfileContentProvider

extends java.lang.Object
implements org.eclipse.ui.navigator.ICommonContentProvider

Author:
  rcernich, shongxum, brianf

Constructor Summary
`ConnectionProfileContentProvider()` Constructor

Method Summary
`void` `dispose()`
`java.lang.Object[]` `getChildren(java.lang.Object parentElement)`
`java.lang.Object[]` `getElements(java.lang.Object inputElement)`
`java.lang.Object` `getParent(java.lang.Object element)`
`boolean` `hasChildren(java.lang.Object element)`
`void` `init(org.eclipse.ui.navigator.ICommonContentExtensionSite aConfig)`
`void` `inputChanged(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`
`boolean` `isShowCategories()`
`void` `restoreState(org.eclipse.ui.IMemento aMemento)`
`void` `saveState(org.eclipse.ui.IMemento aMemento)`
`void` `setShowCategories(boolean showCategories)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionProfileContentProvider

    public ConnectionProfileContentProvider()

  Constructor

Method Detail

### setShowCategories

    public void setShowCategories(boolean showCategories)

### isShowCategories

    public boolean isShowCategories()

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object parentElement)

  Specified by:
    `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### getParent

    public java.lang.Object getParent(java.lang.Object element)

  Specified by:
    `getParent` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### hasChildren

    public boolean hasChildren(java.lang.Object element)

  Specified by:
    `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### getElements

    public java.lang.Object[] getElements(java.lang.Object inputElement)

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`

### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

  Specified by:
    `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`

### init

    public void init(org.eclipse.ui.navigator.ICommonContentExtensionSite aConfig)

  Specified by:
    `init` in interface `org.eclipse.ui.navigator.ICommonContentProvider`

### restoreState

    public void restoreState(org.eclipse.ui.IMemento aMemento)

  Specified by:
    `restoreState` in interface `org.eclipse.ui.navigator.IMementoAware`

### saveState

    public void saveState(org.eclipse.ui.IMemento aMemento)

  Specified by:
    `saveState` in interface `org.eclipse.ui.navigator.IMementoAware`